# Uses of Class
io.dapr.client.domain.TransactionalStateOperation

Packages that use TransactionalStateOperation
Package
Description
io.dapr.client
io.dapr.client.domain

## Uses of TransactionalStateOperation in io.dapr.client

Method parameters in io.dapr.client with type arguments of type TransactionalStateOperation
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DaprClient.`executeStateTransaction(String storeName, List<TransactionalStateOperation<?>> operations)`
Execute a transaction.

## Uses of TransactionalStateOperation in io.dapr.client.domain

Methods in io.dapr.client.domain that return types with arguments of type TransactionalStateOperation
Modifier and Type
Method
Description
`List<TransactionalStateOperation<?>>`
ExecuteStateTransactionRequest.`getOperations()`
`List<TransactionalStateOperation<T>>`
TransactionalStateRequest.`getOperations()`
Method parameters in io.dapr.client.domain with type arguments of type TransactionalStateOperation
Modifier and Type
Method
Description
`ExecuteStateTransactionRequest`
ExecuteStateTransactionRequest.`setOperations(List<TransactionalStateOperation<?>> operations)`
Constructor parameters in io.dapr.client.domain with type arguments of type TransactionalStateOperation
Modifier
Constructor
Description
``
`TransactionalStateRequest(List<TransactionalStateOperation<T>> operations, Map<String,String> metadata)`
Constructor to create immutable transactional state request object.